Bug Hunting Session
Bug 74067 - No document attached and no warning on document sending with unconfigured email
Summary: No document attached and no warning on document sending with unconfigured email
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2014-01-26 06:35 UTC by Milos Sramek
Modified: 2018-11-11 09:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Sramek 2014-01-26 06:35:45 UTC
Hi,

Current behavior:
if Tools > Options > Internet > E-mail is not set, LO still opens a mailer on any of the four e-mailing possibilities in File > Send, however, without any attached document. Observer on LO40, 41 and 42.

If mailer is set, the file is attached.

Desired behavior:
LO either displays a warning about the unconfigured e-mail (as Apache OO does) or the file is correctly attached. 

The current behavior is bad, since a user can easily get an false impression that e-mailing is not functional in LO. 

In fact, the right dialog is there: ./share/config/soffice.cfg/sfx/ui/errorfindemaildialog.ui

Anyway, I would change that text from  
Please save this document locally instead and attach it from within your e-mail client.
to
Please configure e-mail in File > Options > Internet > E-mail or save this document locally instead and attach it from within your e-mail client.

--
Milos
Comment 1 Dirk Haar 2014-04-27 19:38:52 UTC
The same here.
There was an email program set (???lumoa or something like that) which I never had, somehow mystious.
My thunderbird was recognized anyway, but no attachment as above.
Comment 2 Joseph Conner 2014-06-06 00:06:46 UTC
I confirm this behaviour.  Ubuntu 14.04lts, AMD Athlon(tm) 64 X2 Dual Core Processor 4600+ × 2, libreoffice 4.2.3.3.

Joe Conner, Poulsbo, WA USA
Comment 3 Bristow 2014-07-10 13:59:43 UTC
Same here with Ubuntu 14.04 Unity and Thunderbird.

If i write /usr/bin/thunderbird on options, i have my file attached.
Comment 4 Owen Genat (retired) 2014-10-25 19:15:25 UTC
Multiple confirmations. Status set to NEW.
Comment 5 QA Administrators 2015-12-20 16:19:36 UTC Comment hidden (obsolete)
Comment 6 Milos Sramek 2015-12-20 21:02:39 UTC
I confirm the error in the most recent release Version: 5.1.0.1.0+
Build ID: 756e103214c3c74c2af7e0da836b568259f81226
(ubuntu 64 bit)

Bibisection (bibisect-43all) points to 
ca34486a7bc19acb3ddfa7b4fc27ce8bae42c66a is the first bad commit
commit ca34486a7bc19acb3ddfa7b4fc27ce8bae42c66a
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Mon Dec 10 23:16:45 2012 +0000

    source-hash-bec62421a45da89d2812bdff30fbbab73291cf91
    
    commit bec62421a45da89d2812bdff30fbbab73291cf91
    Author:     David Tardon <dtardon@redhat.com>
    AuthorDate: Mon Oct 22 13:57:11 2012 +0200
    Commit:     David Tardon <dtardon@redhat.com>
    CommitDate: Mon Oct 22 14:34:25 2012 +0200

the 'good' versions show the warning about not configured e-mail.
--
Milos
Comment 7 Xisco Faulí 2016-10-07 10:40:20 UTC
Reproduced in Version 4.1.0.0.alpha0+ (Build ID:
efca6f15609322f62a35619619a6d5fe5c9bd5a). Changing version
Comment 8 Xisco Faulí 2016-10-07 10:49:37 UTC
Regression introduced by 

author	David Steele <dsteele@gmail.com>	2012-10-16 23:11:37 (GMT)
committer	Petr Mladek <pmladek@suse.cz>	2012-10-18 12:20:12 (GMT)
commit	8e7a3669dd86f86325b3012abc657b5d4665374d (patch)
tree	b1fab34fee30b0c56d9b034ae0fce4998118cc89
parent	64dc5a0c6d7ef1169fe09a0377106e98f71ce6f7 (diff)

Combine senddoc null and default cases for better mailer selection.
Comment 9 QA Administrators 2017-10-23 14:09:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug